#!/bin/sh

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
        ${VCSHOME}/bin/haconf -makerw
fi

${VCSHOME}/bin/hatype -add MirrorView
${VCSHOME}/bin/hatype -modify MirrorView SupportedActions resync
${VCSHOME}/bin/hatype -modify MirrorView MonitorInterval 300
${VCSHOME}/bin/hatype -modify MirrorView ArgList NaviCliHome LocalArraySPNames RemoteArraySPNames Mode GrpName MirNames SplitTakeover
${VCSHOME}/bin/haattr -add MirrorView NaviCliHome -string "/opt/Navisphere/bin"
${VCSHOME}/bin/haattr -add MirrorView LocalArraySPNames -string -vector
${VCSHOME}/bin/haattr -add MirrorView RemoteArraySPNames -string -vector
${VCSHOME}/bin/haattr -add MirrorView Mode -string
${VCSHOME}/bin/haattr -add MirrorView GrpName -string
${VCSHOME}/bin/haattr -add MirrorView MirNames -string -vector
${VCSHOME}/bin/haattr -add MirrorView SplitTakeover -integer
${VCSHOME}/bin/haattr -add -temp MirrorView VCSResLock -string

if [ $ro -eq 1 ];
then
        ${VCSHOME}/bin/haconf -dump -makero
else
        ${VCSHOME}/bin/haconf -dump
fi
